%define name	efibootmgr
%define version	0.5.3
%define release %mkrel 1

Summary:	Interact with the EFI Boot Manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://domsch.com/linux/ia64/efibootmgr
Source0:	%{name}-%{version}.tar.bz2
Patch0:		efibootmgr-0.5.2.2-makefile.patch.bz2
# XXX kernel-headers will be fixed
Patch1:		efibootmgr-0.5.2.2-u64.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pciutils-devel
ExclusiveArch:	%{ix86} ia64

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager. This application can
create and destroy boot entries, change the boot order, change the
next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from <http://developer.intel.com>.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  `modprobe efivars` should do the trick.

%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .u64

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m755 src/efibootmgr/efibootmgr $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/efibootmgr

%changelog
* Fri Jan 20 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.5.3-1mdk
- 0.5.3 (no change since 0.5.2.2)
- cosmetics (exclusivearch, description)

* Mon Jan 16 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.2.2-2mdk
- %%mkrel
- BuildRequires

* Thu Oct 20 2005 Bruno Cornec <bcornec@mandriva.org> 0.5.2.2-1mdk
- 0.5.2

* Mon May 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-2mdk
- Rebuild

* Fri Feb 21 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.1-mdk
- release 0.4.1

* Fri Sep 14 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.4-1mdk
- First Mandrake Linux release for version 0.3.4
- Patch0: disable constants merging
